

import java.util.ArrayList;
import java.util.List;
 
import org.eclipse.epsilon.egl.EglTemplateFactory;
import org.eclipse.epsilon.egl.EglTemplateFactoryModuleAdapter;
import org.eclipse.epsilon.eol.IEolExecutableModule;
import org.eclipse.epsilon.eol.models.IModel;
import org.eclipse.uml2.uml.UMLPackage; 
import org.eclipse.uml2.uml.resource.UMLResource;

public class EglStandaloneExample extends EpsilonStandaloneExample {
	
	public static void main(String[] args) throws Exception {
		new EglStandaloneExample().execute();
	}
	
	@Override
	public IEolExecutableModule createModule() {
		return new EglTemplateFactoryModuleAdapter(new EglTemplateFactory());
	}

	@Override
	public List<IModel> getModels() throws Exception {
		List<IModel> models = new ArrayList<IModel>(); 
		UMLResource.Factory.Registry.INSTANCE.getExtensionToFactoryMap().put(UMLResource.FILE_EXTENSION, UMLResource.Factory.INSTANCE);
		models.add(createUmlModelByURI("Model", "models/example.uml", UMLPackage.eNS_URI, true, true));
		return models;
	}

	@Override
	public String getSource() throws Exception {
		return "ProjectCreation.egl";
	}

	@Override
	public void postProcess() { 
		System.out.println(result);
	}

}
